%define oname   git
%define subrel 2

Name:       ruby-%{oname}
Version:    1.6.0
Release:    %mkrel 1
Summary:    Ruby/Git is a Ruby library that wraps system calls to the git binary
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/schacon/ruby-git
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:     CVE-2022-25648.patch
Patch1:     CVE-2022-46648_47318.patch
BuildRequires: rubygems
Requires:   git-core
BuildArch:  noarch

%description
Ruby/Git is a Ruby library that can be used to create, read and manipulate
Git repositories by wrapping system calls to the git binary

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%changelog
* Mon Mar 13 2023 ns80 <ns80> 1.6.0-1.2.mga8
+ Revision: 1948780
- port a patch from Debian for CVE-2022-46648, CVE-2022-47318 (mga#31497)
+ pterjan <pterjan>
- Add patch for CVE-2022-25648

* Sat Mar 28 2020 pterjan <pterjan> 1.6.0-1.mga8
+ Revision: 1561526
- Update to 1.6.0

* Wed Feb 12 2020 umeabot <umeabot> 1.5.0-3.mga8
+ Revision: 1507754
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1290961
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 pterjan <pterjan> 1.5.0-1.mga7
+ Revision: 1254164
- Update to 1.5.0

* Thu May 17 2018 pterjan <pterjan> 1.4.0-1.mga7
+ Revision: 1230087
- Update to 1.4.0

* Sat Mar 12 2016 pterjan <pterjan> 1.3.0-1.mga6
+ Revision: 989766
- Update to 1.3.0

* Sun Jan 03 2016 pterjan <pterjan> 1.2.9.1-1.mga6
+ Revision: 919176
- Update to 1.2.9.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.7-3.mga5
+ Revision: 739354
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.7-2.mga5
+ Revision: 688817
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 1.2.7-1.mga5
+ Revision: 640623
- 1.2.7

* Sat Dec 28 2013 pterjan <pterjan> 1.2.6-5.mga4
+ Revision: 561918
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.2.6-4.mga4
+ Revision: 561279
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.2.6-3.mga4
+ Revision: 535500
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.2.6-2.mga4
+ Revision: 482051
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.2.6-1.mga4
+ Revision: 480106
- 1.2.6

* Sat Sep 14 2013 pterjan <pterjan> 1.2.5-5.mga4
+ Revision: 478796
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1.2.5-4.mga3
+ Revision: 396000
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.5-3.mga3
+ Revision: 380939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.2.5-2.mga3
+ Revision: 312573
- rebuild for new ruby

* Wed Feb 02 2011 shikamaru <shikamaru> 1.2.5-1.mga1
+ Revision: 46431
- imported package ruby-git


* Wed Feb 02 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.5-1
- Initial package
